## GladePlaceholder GladePlaceholder — A GtkWidget to fill empty places. |

## Functions

GtkWidget * | glade_placeholder_new ()
GladeWidget * | glade_placeholder_get_parent ()
GladeProject * | glade_placeholder_get_project ()
GList * | glade_placeholder_packing_actions ()

## Types and Values

struct | GladePlaceholder

## Description

Generally in Glade, container widgets are implemented with GladePlaceholder children to allow users to 'click' and add their widgets to a container. It is the responsibility of the plugin writer to create placeholders for container widgets where appropriate; usually in GladePostCreateFunc when the GladeCreateReason is `GLADE_CREATE_USER`.

## Functions

### glade_placeholder_new ()

    GtkWidget *
    glade_placeholder_new (void);

#### Returns

a new GladePlaceholder.

[transfer full]

### glade_placeholder_get_parent ()

    GladeWidget *
    glade_placeholder_get_parent (GladePlaceholder *placeholder);

#### Parameters

placeholder | a GladePlaceholder |

#### Returns

a GladeProject.

[transfer none][nullable]

### glade_placeholder_get_project ()

    GladeProject *
    glade_placeholder_get_project (GladePlaceholder *placeholder);

#### Parameters

placeholder | a GladePlaceholder |

#### Returns

a GladeProject.

[transfer none][nullable]

### glade_placeholder_packing_actions ()

    GList *
    glade_placeholder_packing_actions (GladePlaceholder *placeholder);

#### Parameters

placeholder | a GladePlaceholder |

#### Returns

a list of GladeWidgetAction.

[transfer none][element-type GladeWidgetAction]

## Types and Values

### struct GladePlaceholder

    struct GladePlaceholder {
      GtkWidget widget;

      GladePlaceholderPrivate *priv;
    };